Manipuladores de notificação
GET https://bio.smartize.com.br/api/notification-handlers/
curl --request GET \
--url 'https://bio.smartize.com.br/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://bio.smartize.com.br/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| Parâmetros | Detalhes | Descrição |
|---|---|---|
| search | Opcional String | A string de busca. |
| search_by | Opcional String | Qual campo você está pesquisando. Os valores permitidos são: name. |
| is_enabled | Opcional Boolean | |
| type | Opcional String | Qual campo você está pesquisando. Os valores permitidos são: email, webhook, slack, discord, telegram, microsoft_teams, ntfy. |
| datetime_field | Opcional String | Valores permitidos: datetime, last_datetime |
| datetime_start | Opcional String | Filtrar resultados a partir deste datetime. Y-m-d H:i:s formato. |
| datetime_end | Opcional String | Filtrar resultados até esta data e hora. Formato Y-m-d H:i:s. |
| order_by | Opcional String | Qual campo ordenar os resultados. Os valores permitidos são: notification_handler_id, datetime, last_datetime, name. |
| order_type | Opcional String | A ordenação dos resultados. Os valores permitidos são: ASC para ordenação crescente, e DESC para ordenação decrescente. |
| search | Opcional String | A string de busca. |
| search_by | Opcional String | Qual campo você está pesquisando. Os valores permitidos são: name. |
| is_enabled | Opcional Boolean | |
| type | Opcional String | Qual campo você está pesquisando. Os valores permitidos são: email, webhook, slack, discord, telegram, microsoft_teams, ntfy. |
| datetime_field | Opcional String | Valores permitidos: datetime, last_datetime |
| datetime_start | Opcional String | Filtrar resultados a partir deste datetime. Y-m-d H:i:s formato. |
| datetime_end | Opcional String | Filtrar resultados até esta data e hora. Formato Y-m-d H:i:s. |
| order_by | Opcional String | Qual campo ordenar os resultados. Os valores permitidos são: notification_handler_id, datetime, last_datetime, name. |
| order_type | Opcional String | A ordenação dos resultados. Os valores permitidos são: ASC para ordenação crescente, e DESC para ordenação decrescente. |
| page | Opcional Inteiro | O número da página de onde você quer os resultados. Padrão é 1. |
| results_per_page | Opcional Inteiro | Quantos resultados você deseja por página. Valores permitidos são: 10, 25, 50, 100, 250, 500, 1000. O padrão é 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": 1,
"last_datetime": null,
"datetime": "2026-10-10 00:14:37"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://bio.smartize.com.br/api/notification-handlers?page=1",
"last": "https://bio.smartize.com.br/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://bio.smartize.com.br/api/notification-handlers?page=1"
}
}
GET https://bio.smartize.com.br/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://bio.smartize.com.br/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://bio.smartize.com.br/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": 1,
"last_datetime": null,
"datetime": "2026-10-10 00:14:37"
}
}
POST https://bio.smartize.com.br/api/notification-handlers
| Parâmetros | Detalhes | Descrição |
|---|---|---|
| name | Requerido String | - |
| type | Requerido String | Valores permitidos: email, webhook, slack, discord, telegram, microsoft_teams, ntfy |
| Opcional String | Disponível quando: type = email Email | |
| webhook | Opcional String | Disponível quando: type = webhook URL do Webhook |
| slack | Opcional String | Disponível quando: type = slack URL do webhook do Slack |
| discord | Opcional String | Disponível quando: type = discord URL do webhook do Discord |
| telegram | Opcional String | Disponível quando: type = telegram Token da API do Telegram |
| telegram_chat_id | Opcional String | Disponível quando: type = telegram ID do Chat do Telegram |
| microsoft_teams | Opcional String | Disponível quando: type = microsoft_teams URL do webhook do Microsoft Teams |
| ntfy | Opcional String | Disponível quando: type = ntfy URL do tópico ntfy |
curl --request POST \
--url 'https://bio.smartize.com.br/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
--url 'https://bio.smartize.com.br/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
{
"data": {
"id": 1,
"user_id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hello@example.com"
},
"is_enabled": 1,
"last_datetime": null,
"datetime": "2026-10-10 00:14:37"
}
}
POST https://bio.smartize.com.br/api/notification-handlers/{notification_handler_id}
| Parâmetros | Detalhes | Descrição |
|---|---|---|
| name | Opcional String | - |
| type | Opcional String | Valores permitidos: email, webhook, slack, discord, telegram, microsoft_teams, ntfy |
| Opcional String | Disponível quando: type = email Email | |
| webhook | Opcional String | Disponível quando: type = webhook URL do Webhook |
| slack | Opcional String | Disponível quando: type = slack URL do webhook do Slack |
| discord | Opcional String | Disponível quando: type = discord URL do webhook do Discord |
| telegram | Opcional String | Disponível quando: type = telegram Token da API do Telegram |
| telegram_chat_id | Opcional String | Disponível quando: type = telegram ID do Chat do Telegram |
| microsoft_teams | Opcional String | Disponível quando: type = microsoft_teams URL do webhook do Microsoft Teams |
| ntfy | Opcional String | Disponível quando: type = ntfy URL do tópico ntfy |
| is_enabled | Opcional Boolean | - |
curl --request POST \
--url 'https://bio.smartize.com.br/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://bio.smartize.com.br/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1,
"user_id": 1,
"type": "email",
"name": "Example new name",
"settings": {
"email": "hello@example.com"
},
"is_enabled": 1,
"last_datetime": "2026-10-10 00:14:37",
"datetime": "2026-10-10 00:14:37"
}
}
DELETE https://bio.smartize.com.br/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://bio.smartize.com.br/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://bio.smartize.com.br/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \